Dim objFSO
Dim strInput
Dim strSearch1
Dim strSearch2
Dim strReplace1
Dim strReplace2
Dim regEx
strSearch1 = "Todas las unidades"
Set regEx = New RegExp
regEx.Pattern = "Todas(\s)*las(\s)*unidades"
regEx.IgnoreCase = True
strReplace1 = "Todas&nbsp;las&nbsp;unidades"

Set objFSO = CreateObject("scripting.filesystemobject")

strInput = InputBox("Escribe la carpeta a partir de la cual buscar:") 
If objFSO.FolderExists(strInput) Then
	CheckFolder objFSO.getfolder(strInput), regEx
	MsgBox "Script terminado"
Else
	MsgBox "La carpeta " & strInput & " no existe. Vuelve a intentarlo "
End If


Sub CheckFolder(objCurrentFolder, regExp)
    
    Dim strTemp
    Dim objNewFolder
    Dim objFile
    Dim intPrompt
       
       For Each objFile In objCurrentFolder.Files
	       Set f = objFSO.OpenTextFile(CStr(objFile.Path), 1)
   		   strTemp =   f.ReadAll
		   If (regExp.Test(strTemp)) Then		   	
           		intPrompt = MsgBox("El archivo " & vbCr & CStr(objFile.Path) & vbCr & "contiene '" & strSearch1 & "'. " & vbCr & "Deseas reemplazarlos por '" & strReplace1 & "'?", 1) 
           		If intPrompt = 1 Then
           			Set f = objFSO.OpenTextFile(CStr(objFile.Path), 2)
           			strTemp = regExp.Replace(strTemp, strReplace1)
           			f.Write strTemp
           		End If
			End If
       Next

       For Each objNewFolder In objCurrentFolder.subFolders
               CheckFolder objNewFolder
       Next
End Sub

Function ReplaceTest(patrn, replStr)
  Dim regEx, str1					' Create variables.
  str1 = "The quick brown fox jumped over the lazy dog."
  Set regEx = New RegExp				' Create regular expression.
  regEx.Pattern = patrn				' Set pattern.
  regEx.IgnoreCase = True				' Make case insensitive.
  ReplaceTest = regEx.Replace(str1, replStr)	' Make replacement.
End Function
